[arch-commits] Commit in nodejs-lts-argon/repos/community-testing-x86_64 (3 files)

Bruno Pagani archange at archlinux.org
Tue Nov 14 16:23:10 UTC 2017


    Date: Tuesday, November 14, 2017 @ 16:23:10
  Author: archange
Revision: 266781

archrelease: copy trunk to community-testing-x86_64

Added:
  nodejs-lts-argon/repos/community-testing-x86_64/PKGBUILD
    (from rev 266780, nodejs-lts-argon/trunk/PKGBUILD)
Deleted:
  nodejs-lts-argon/repos/community-testing-x86_64/PKGBUILD
  nodejs-lts-argon/repos/community-testing-x86_64/nodejs-v8-icu59.patch

-----------------------+
 PKGBUILD              |  124 +++++++++++++++++++++++-------------------------
 nodejs-v8-icu59.patch |   10 ---
 2 files changed, 60 insertions(+), 74 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-14 16:22:53 UTC (rev 266780)
+++ PKGBUILD	2017-11-14 16:23:10 UTC (rev 266781)
@@ -1,64 +0,0 @@
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-
-pkgname=nodejs-lts-argon
-pkgver=4.8.5
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
-arch=('i686' 'x86_64')
-url='https://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-provides=("nodejs=${pkgver}")
-conflicts=('nodejs')
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz"
-        'nodejs-v8-icu59.patch')
-sha256sums=('a48aeefc2b4fae0ea6410a8045ca106af244223012eab003bd5cb00aa3b50d53'
-            '3b4d747522f655054829a67b5358f6f1c8bcbb2845f8e0f9866c9c78e55e1be8')
-
-prepare() {
-  cd node-v${pkgver}
-
-  patch -p1 -i ../nodejs-v8-icu59.patch
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v${pkgver}
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser
-
-  make
-}
-
-check() {
-  cd node-v${pkgver}
-  # At least two expected failures because of OpenSSL 1.1 vs 1.0
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v${pkgver}
-
-  make DESTDIR="${pkgdir}" install
-
-  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}

Copied: nodejs-lts-argon/repos/community-testing-x86_64/PKGBUILD (from rev 266780, nodejs-lts-argon/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-14 16:23:10 UTC (rev 266781)
@@ -0,0 +1,60 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-argon
+pkgver=4.8.6
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=${pkgver}")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+sha256sums=('a5b1e94f9879035387a7005a4ec9cd45a9cc2ac43ad548cd7a3b9fd4941f1774')
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # At least two expected failures because of OpenSSL 1.1 vs 1.0
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}

Deleted: nodejs-v8-icu59.patch
===================================================================
--- nodejs-v8-icu59.patch	2017-11-14 16:22:53 UTC (rev 266780)
+++ nodejs-v8-icu59.patch	2017-11-14 16:23:10 UTC (rev 266781)
@@ -1,10 +0,0 @@
---- a/deps/v8/src/runtime/runtime-i18n.cc
-+++ b/deps/v8/src/runtime/runtime-i18n.cc
-@@ -33,6 +33,7 @@
- #include "unicode/unistr.h"
- #include "unicode/unum.h"
- #include "unicode/uversion.h"
-+#include "unicode/normlzr.h"
- 
- 
- namespace v8 {


More information about the arch-commits mailing list